Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::IncorrectTagValue Struct Reference

Field has a value that is out of range. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::IncorrectTagValue:
[legend]
Collaboration diagram for FIX::IncorrectTagValue:
[legend]

List of all members.

## Public Member Functions

| IncorrectTagValue (int f=0, const std::string &what="")

## Public Attributes

int | field

## Detailed Description

Field has a value that is out of range.

Definition at line 137 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::IncorrectTagValue::IncorrectTagValue | ( | int | f = `0`,
|  | const std::string & | what = `""` |
| ) |  |  | `[inline]`

Definition at line 139 of file Exceptions.h.

    00140     : Exception( "Value is incorrect (out of range) for this tag", what ),
    00141                  field( f ) {}

## Member Data Documentation

int FIX::IncorrectTagValue::field

Definition at line 142 of file Exceptions.h.

Referenced by FIX::Session::next().

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h